#include "<std>/cpu/phoenix.asm"

entry:
	lih intr

	lad A, 0xff00
	lod r4, 0b01000000
	out A, r4 ; unmask int6 (timer)

	lad A, 0xff01
	lod r4, 0xff
	out A, r4 ; set prescaler to 0x0f

	lad A, 0xff02
	lod r4, 0xff
	out A, r4 ; set compare to 0x0f

	lad A, 0xff03
	lod r4, 0b00010111
	out A, r4 ; enable timer + prescaler + interrupt + toggle

	lad A, 0
	lod r4, 0
	lod r5, 0

loop:
	jmp loop

intr:
	add r4, 1
	cmp r4, 0x20
	jnq skip

	lod r4, 0

	nor r5, 0
	out A, r5

skip:
	ire
