#include "<std>/cpu/phoenix.asm"

entry:

    lad A, 0xf000
    lad B, bootmsg

.loop:
    ldr r4, B
    cmp r4, 0
    jzr .exit

    cfg
    add r2, 1
    ado r3, 1

    out A, r4
.wait:
    inp r4, A
    cmp r4, 0
    jnz .wait

    jmp .loop


.exit:
    lsp 0xffff
    lih intr

	lad A, 0xff00
	lod r4, 0b00100000
	out A, r4 ; unmask int5 (uart)

    lad A, 0xf000
    lad B, 0xf001

.stall:
    jmp .stall


intr:
    inp r4, B
    out A, r4

.wait:
    inp r4, A
    cmp r4, 0
    jnz .wait

    ire


bootmsg:
#d "__________ .__                             .__          \n\r"
#d "\\______   \\|  |__    ____    ____    ____  |__|___  ___ \n\r"
#d " |     ___/|  |  \\  /  _ \\ _/ __ \\  /    \\ |  |\\  \\/  / \n\r"
#d " |    |    |   Y  \\(  <_> )\\  ___/ |   |  \\|  | >    <  \n\r"
#d " |____|    |___|  / \\____/  \\___  >|___|  /|__|/__/\\_ \\ \n\r"
#d "                \\/              \\/      \\/           \\/ \n\r"
#d "What will you create?\n\r"
#d "Copyright (c) 2024 Glowman554\n\r"
#d "\n\r"
#d "\n\r"
#d "\0"
