#include "<std>/cpu/phoenix.asm"

entry:
    lsp 0xffff
    lih intr

	lad A, 0xff00
	lod r4, 0b00100000
	out A, r4 ; unmask int5 (uart)

    lad A, 0xf000
    lad B, hello

loop:
    ldr r4, B
    cmp r4, 0
    jzr exit

    cfg
    add r2, 1
    ado r3, 1

    out A, r4
wait:
    inp r4, A
    cmp r4, 0
    jnz wait


    jmp loop

exit:
    jmp 0xffff

intr:
    rfg r15
    put r15

    put r0
    put r1
    put r2

    lad A, 0xf001
    inp r2, A
    lad A, 0x00
    out A, r2

    pop r2
    pop r1
    pop r0

    pop r15
    wfg r15
    ire

hello:
#d "Hello world test 2!\n\r\0"